kompendium
2.0.1
2.0.3 2.0.2 2.0.1

# ArraySchema

data class ArraySchema (items: ComponentSchema , default: Any ?, description: String ?, nullable: Boolean ?, minItems: Int ?, maxItems: Int ?, uniqueItems: Boolean ?) : TypedSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

default
Link copied to clipboard
open override val default : Any ? = null
Content copied to clipboard
description
Link copied to clipboard
open override val description : String ? = null
Content copied to clipboard
items
Link copied to clipboard
val items : ComponentSchema
Content copied to clipboard
maxItems
Link copied to clipboard
val maxItems : Int ? = null
Content copied to clipboard
minItems
Link copied to clipboard
val minItems : Int ? = null
Content copied to clipboard
nullable
Link copied to clipboard
open override val nullable : Boolean ? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard
uniqueItems
Link copied to clipboard
val uniqueItems : Boolean ? = null
Content copied to clipboard